package com.interpress_project.modernshare.client.controller.actions;

import org.eclipse.swt.program.Program;

import com.interpress_project.modernshare.client.view.ViewManager;

/**
 *@stereotype action
 */
final public class HelpAction extends ActionAdaptor {
	@SuppressWarnings("unused")
	private final ViewManager vmgr;

	public HelpAction(ViewManager vmgr) {
		setText("ヘルプ(&H)");
		setEnabled(true);
		setToolTipText("ヘルプを表示します。");
		try {
			setImageDescriptor(ImageFactory.getInstance().getImageDescriptor("help"));
		}
		catch (Exception ex) {
			sb.getLogger().fatal("リソース設定のエラーが発生しました。", ex);
			System.exit(-1);
		}
		this.vmgr = vmgr;
	}

	/**
	 * run
	 */
	public void run() {
		sb.getLogger().debug("Enter run() in HelpAction.");
		String fsep = sb.getFileSeparator();

		Program program = Program.findProgram("pdf");
		if (program == null) {
			vmgr.getDialogManager().createErrorMessageDialog(
			  "HTMLブラウザが設定されていないためヘルプ・ページを表示することができません。" + "インストールフォルダ配下にあるdocsをご参照ください。");
			return;
		}
		String path = sb.getCurrentDirectory() + fsep + "docs" + fsep + "ClientGuide.pdf";
		program.execute(path);
	}
}
